<h1> TFGrid Docs</h1>

<h2>Table of Contents</h2>

- [Overview](#overview)
- [Basic Hero mdBook Commands](#basic-hero-mdbook-commands)
- [Install and Use Hero](#install-and-use-hero)
- [Create a New mdBook](#create-a-new-mdbook)
- [Notes for Repo Owners](#notes-for-repo-owners)

## Overview

This repository contains TFGrid docs in the form of mdbooks generated with the [Hero](https://github.com/freeflowuniverse/crystallib/tree/development/cli/hero) tool.

To see the whole list of books, check the [heroscript directory](https://git.ourworld.tf/tfgrid/info_tfgrid/src/branch/main/heroscript).

## Basic Hero mdBook Commands

Once Hero is set on your machine, you can run the following commands to preview mdbooks on your local browser:

- Pull new changes
    ```
    hero mdbook -u https://git.ourworld.tf/tfgrid/info_tfgrid/src/branch/main/heroscript/nameofyourbook -gp
    ```

- Build the book
    ```
    hero mdbook -u https://git.ourworld.tf/tfgrid/info_tfgrid/src/branch/main/heroscript/nameofyourbook
    ```
- Preview on a web browser
    ```
    hero mdbook -u https://git.ourworld.tf/tfgrid/info_tfgrid/src/branch/main/heroscript/nameofyourbook -o
    ```

> Note: You can use -p instead of -u and set a path to your heroscript directory, as explained in the [docs](https://git.ourworld.tf/tfgrid/info_tfgrid/src/branch/main/docs).

## Install and Use Hero

To install and use Hero on a full VM running on the grid, read the [full VM guide](https://git.ourworld.tf/tfgrid/info_tfgrid/src/branch/main/docs/hero_mdbook_fullvm.md).

## Create a New mdBook 

To create a new mdbook, read the [mdbook creation guide](https://git.ourworld.tf/tfgrid/info_tfgrid/src/branch/main/docs/hero_create_mdbook.md).

## Notes for Repo Owners

> todo: kristof some content does not belong here, move to other repo